import './details.scss';
declare class Accordion {
    el: HTMLDetailsElement;
    summary: HTMLElement;
    content: HTMLElement;
    animation: Animation | null;
    isClosing: boolean;
    isExpanding: boolean;
    constructor(el: HTMLDetailsElement);
    onClick(e: MouseEvent): void;
    shrink(): void;
    open(): void;
    expand(): void;
    onAnimationFinish(open: boolean): void;
}
export interface DetailsOptions {
    title: string;
    content: string | HTMLElement;
}
export default class Details {
    element: HTMLDetailsElement;
    accordion: Accordion;
    constructor(options: DetailsOptions);
    root(): HTMLDetailsElement;
    open(): void;
    close(): void;
}
export {};
